=== debian/changelog ===
ros-indigo-laser-joint-projector (1.0.9-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Devon Ash <dash@clearpathrobotics.com>  Sat, 10 Mar 2018 21:30:40 -0000

ros-indigo-laser-joint-projector (1.0.7-0trusty) trusty; urgency=high

  * Added CMakeModules depend
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 06 Feb 2015 08:00:00 -0000

ros-indigo-laser-joint-projector (1.0.6-0trusty) trusty; urgency=high

  * Changelogs
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 04 Dec 2014 08:00:00 -0000

ros-indigo-laser-joint-projector (1.0.5-0trusty) trusty; urgency=high

  * Removed mainpage.dox for *
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 14 Oct 2014 07:00:00 -0000

ros-indigo-laser-joint-projector (1.0.4-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 17 Sep 2014 07:00:00 -0000

ros-indigo-laser-joint-projector (1.0.3-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 11 Sep 2014 07:00:00 -0000

ros-indigo-laser-joint-projector (1.0.1-0trusty) trusty; urgency=high

  * Fixed catkin_lint 0 problems
  * Works catkin_lint
  * Added hydro devel, compiles and makes in hydro
  * Removed executables
  * Removed old build files
  * Catkinization and compilation in hydro of laser_joint_projector
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 08 Sep 2014 07:00:00 -0000
