=== debian/control ===
Source: ros-indigo-laser-joint-projector
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-calibration-msgs, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-geometry-msgs, ros-indigo-kdl-parser, ros-indigo-orocos-kdl, ros-indigo-roscpp, ros-indigo-roscpp-serialization
Homepage: http://www.ros.org/wiki/laser_joint_projector
Standards-Version: 3.9.2

Package: ros-indigo-laser-joint-projector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-calibration-msgs, ros-indigo-cmake-modules, ros-indigo-geometry-msgs, ros-indigo-kdl-parser, ros-indigo-orocos-kdl, ros-indigo-roscpp-serialization
Description: Projects laser readings into a point cloud, based on a set of recorded joint angles This package is experimental and unstable.
 Expect its APIs to change.
